Bug 518382 - Rhythmbox volume slider weird behaviour - exponential effect in PulseAudio
Summary: Rhythmbox volume slider weird behaviour - exponential effect in PulseAudio
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 07:36 UTC by Tomasz Chrzczonowicz
Modified: 2009-09-03 15:08 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 512090
Environment:
Last Closed: 2009-09-03 15:08:23 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 571610 None None None Never

Description Tomasz Chrzczonowicz 2009-08-20 07:36:40 UTC
+++ This bug was initially created as a clone of Bug #512090 +++

Description of problem:

Rhythmbox volume slider has weird behaviour. When sound is adjusted from 0% to 2%, the Rhythmbox volume in Pulse Audio mixers is shown (and heard) as over 50%.

Version-Release number of selected component (if applicable):

rhythmbox-0.12.3-1.fc11.i586

pulseaudio.i586             0.9.15-14.fc11
pulseaudio-libs.i586        0.9.15-14.fc11
pulseaudio-libs-glib2.i586  0.9.15-14.fc11

Expected results:

Volume level inside Rhythmbox equal to volume level of Rhythmbox in Pulse Audio mixers.

Additional info:

I made a screen recording to better illustrate the problem. Bear in mind it has no sound (that's a different issue), but that shouldn't be relevant in this case.

http://fedorapeople.org/~tch/pa-rhythmbox-slider.ogv

Comment 1 sawrub 2009-08-24 14:25:34 UTC
Yes, this is very weird to see the changing of multimedia player volume ,change the system volume and vice versa.

Comment 2 Tomasz Chrzczonowicz 2009-08-24 19:44:12 UTC
>Yes, this is very weird to see the changing of multimedia player volume ,change
>the system volume and vice versa.

This particular thing is called flat volumes and is an intended feature.

_This_ bug is about the _exponential_ relationship between the volume slider in the application and volume slider for the same application in Pulse Audio mixer apps, i.e 2%=50%.

The main system volume is affected by this bug, but it is not what this bug is about.
The main system volume is affected by this bug, but it is not what this bug is about.

Comment 3 Bastien Nocera 2009-09-03 15:08:23 UTC
This is a bug in the pulsesink volume handling.

See:
http://bugzilla.gnome.org/show_bug.cgi?id=571610


Note You need to log in before you can comment on or make changes to this bug.